# WARNING - Generated by {fusen} from /dev/flat_check_data.Rmd: do not edit by hand

test_that("check_primary_color_is_ok works", {

  expect_true(object = check_primary_color_is_ok(string = c("Gray", "Cinnamon", "Gray")))

  expect_true(object = check_primary_color_is_ok(string = c("Gray", "Cinnamon", NA)))

  expect_error(object = check_primary_color_is_ok(string = c("Gray", "Cinnamon", "White")), regexp = "La couleur renseignee ne correspond pas a une couleur de fourrure !")
})
